Subject: Re: bug#8911: bs-cycle-next deletes window in some cases.

From: martin rudalics <[email-masked]>
Date: Tue, 21 Jun 2011 18:12:05 +0200

> If the window is dedicated, and the user invokes bs-cycle-next
 > (usually, by having it bound to a key, and not realizing that the
 > window is dedicated), that's user error, but the user should not be
 > penalized; staying is better. Perhaps a message could be shown. Also,
 > no new window should be created. For example, I find the current
 > behavior
 >
 >   emacs -Q -l bs
 >   C-h N
 >   C-h C-c
 >   M-: (set-window-dedicated-p (selected-window) t) <RET>
 >   M-x bs-cycle-next <RET>
 >
 > of splitting the window extremely unuseful and unhelpful.

Because it does (switch-to-buffer next) in `bs-cycle-next'?  Well, what
else should it do?  Undedicate the window?  That is a tricky case.

martin